/* ========== ROOT ========== */

:root {
  --main-line-height: 1.5;
  --h-line-height: 1.2;
  --text-black: #303030;
  --text-white: #fffafa;

  --bg-header: rgba(204, 204, 204, 0.8);
  --bg-orange: #fc4c00;
  --bg-orange-hover: #e04300;
  --bg-brown: #ca470e;
  --bg-brown-hover: #e65213;
  --bg-text-orange: #fd9040;
  --bg-orange-schedule: #ff792f;
  --bg-gray: #d9d9d9;

  --fz-main: 1rem;
  --fz-subtitle: 1.25rem;
  --fz-h1: 2.5rem;
  --fz-h2: 1.5rem;
  --fz-h3: 1.25rem;
  --fz-card: 1.15rem;

  --ff-main: "Montserrat", sans-serif;
  --ff-other: "Tektur", sans-serif;

  --fw-regular: 400; /* Regular */
  --fw-medium: 500; /* Medium */
  --fw-semibold: 600; /* Semi-bold */
  --fw-bold: 700; /* Bold */

  --padding-default: 1.5rem;
  --padding-schedule: 2rem;
  --padding-mini-card: 3.5rem;
  --margin-small: 1rem;
  --margin-normal: 2rem;
  --margin-standard: 3rem;
}

/* ========== BASE ========== */

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  font-size: var(--fz-main);
  font-family: var(--ff-main);
  line-height: var(--main-line-height);
  color: var(--text-black);
}

main {
  flex-grow: 1;
}

a {
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}

h1 {
  font-size: var(--fz-h1);
}

h2 {
  font-size: var(--fz-h2);
}

h3 {
  font-size: var(--fz-h3);
}

h1,
h2,
h3,
h4 {
  line-height: var(--h-line-height);
}

.default {
  padding-top: 125px;
}

/* ========== FONTS ========== */

@font-face {
  font-display: swap;
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  src: url("../assets/fonts/montserrat-v31-cyrillic_latin-regular.woff2")
    format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 500;
  src: url("../assets/fonts/montserrat-v31-cyrillic_latin-500.woff2")
    format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  src: url("../assets/fonts/montserrat-v31-cyrillic_latin-600.woff2")
    format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  src: url("../assets/fonts/montserrat-v31-cyrillic_latin-700.woff2")
    format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Tektur";
  font-style: normal;
  font-weight: 400;
  src: url("../assets/fonts/tektur-v6-cyrillic_latin-regular.woff2")
    format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Tektur";
  font-style: normal;
  font-weight: 600;
  src: url("../assets/fonts/tektur-v6-cyrillic_latin-600.woff2") format("woff2");
}

.container {
  max-width: calc((1440px) + (1rem) * 2);
  margin-inline: auto;
  padding-inline: 1rem;
}

.header__container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.header {
  background: var(--bg-header);
  padding-block: 2.5rem;
  position: fixed;
  width: 100%;
  z-index: 52;
}

.header__burger {
  display: none;
}

.orange {
  background: var(--bg-orange);
}

.brown {
  background: var(--bg-brown);
}

.header__logo,
.footer__logo {
  height: 30px;
  width: auto;
}

.header__logo-sec {
  display: flex;
  align-items: center;
  max-width: 415px;
  gap: 1.25rem;
}

.header__logo-text {
  font-weight: var(--fw-semibold);
  font-size: 15px;
}

.header__list {
  display: flex;
  gap: 15px;
  font-weight: var(--fw-semibold);
}

.header__link {
  color: var(--text-black);
  position: relative;
  padding: 5px;
  opacity: 100%;
  transition: opacity 0.3s ease-out;
}

.header__link::after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 0;
  height: 2px;
  background: rgba(252, 76, 0, 0.8);
  transition: width 0.3s ease-out;
}

.header__link:hover {
  opacity: 90%;
}

.header__link:hover::after {
  width: 100%;
}

.hero {
  position: relative;
  min-height: 100vh;
  width: 100%;
  display: flex;
  border-bottom: 2px solid var(--bg-gray);
}

.hero__container {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
}

.hero__container::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 250px;
  height: 200px;
  z-index: -1;
  background: url("../assets/images/blot3.svg") no-repeat;
}

.hero__container::after {
  position: absolute;
  content: "";
  top: 0;
  right: 0;
  width: 250px;
  height: 200px;
  z-index: -1;
  background: url("../assets/images/blot3.svg") no-repeat;
}

.hero__info {
  width: 100%;
  max-width: 700px;
  background: rgba(228, 228, 228, 0.8);
  padding: var(--padding-default);
  border-radius: 20px;
  font-family: var(--ff-other);
}

.hero::before {
  position: absolute;
  content: "";
  bottom: 0;
  left: 0;
  width: 200px;
  height: 150px;
  z-index: -1;
  background: url("../assets/images/blot1.svg") no-repeat;
}

.hero::after {
  position: absolute;
  content: "";
  bottom: 0;
  right: 0;
  width: 300px;
  height: 350px;
  z-index: -1;
  background: url("../assets/images/blot2.svg") no-repeat;
}

.hero__title {
  margin-bottom: var(--margin-small);
  text-transform: uppercase;
}

.hero__subtitle {
  font-size: var(--fz-h2);
}

.hero__mascot {
  position: relative;
}

.hero__mascot::before {
  position: absolute;
  content: "";
  width: 350px;
  height: 120px;
  background: var(--bg-gray);
  border-radius: 50%;
  right: 20px;
  bottom: 50px;
  z-index: -1;
}

.hero__mascot::after {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(calc(-50% - 250px), -50%);
  width: 180px;
  height: 180px;
  z-index: -1;
  background: url("../assets/images/blot4.svg") no-repeat;
}

.hero__dots1 {
  position: absolute;
  bottom: 0;
  right: 50%;
  transform: translateY(-50%);
  z-index: -2;
}

.hero__dots2 {
  position: absolute;
  top: 200px;
  left: 0;
  z-index: -2;
}

.hero__dots3 {
  position: absolute;
  top: 30px;
  right: 50%;
  transform: translateY(-50%);
  z-index: -2;
}

.hero__dots4 {
  position: absolute;
  top: 200px;
  right: 50px;
  z-index: -2;
}

.start__title {
  margin-block: var(--margin-standard);
  display: flex;
  justify-content: center;
}

.start__list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
}

.start__card {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-size: var(--fz-card);
  color: var(--text-white);
  font-weight: var(--fw-semibold);
  text-align: center;
  width: 100%;
  max-width: 300px;
  padding: var(--padding-mini-card);
  border-radius: 10px;
  box-shadow: 0 5px 5px rgba(48, 48, 48, 0.4);
  transform: scale(1);
  transition: transform 0.3s ease-out;
}

[data-anim].show.start__card:hover {
  transform: scale(1.05);
}

.start__img {
  width: 150px;
  margin-bottom: 10px;
  filter: invert(1);
}

.learn__title {
  text-align: center;
  margin-block: var(--margin-standard);
}

.learn__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.learn__element {
  display: block;
  overflow: hidden;
  position: relative;
  border-radius: 40px;
  box-shadow: 0 5px 5px rgba(48, 48, 48, 0.4);
  margin-bottom: 1rem;
}

.learn__img {
  display: block;
  width: 100%;
  max-height: 400px;
  border-radius: 40px;
  filter: brightness(0.9);
  transform: scale(1);
  transition: transform 0.3s ease-out;
}

.learn__element:hover .learn__img {
  transform: scale(1.04);
}

.learn__text {
  color: var(--text-black);
  font-weight: var(--fw-medium);
  text-transform: uppercase;
  position: absolute;
  bottom: 20px;
  left: 20px;
  background: var(--bg-text-orange);
  border-radius: 10px;
  padding: 10px;
}

.faq__title {
  margin-block: var(--margin-standard);
  text-align: center;
}

.faq__elem {
  border-bottom: 2px solid var(--bg-gray);
  padding-block: 1.25rem;
}

.faq__trigger {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}

.faq__info {
  max-height: 0;
  overflow: hidden;
  margin-top: 0;
  opacity: 0;
  transition:
    max-height 0.3s ease-out,
    margin-top 0.3s ease-out,
    opacity 0.3s ease-out;
}

.faq__info ul {
  list-style: disc;
  padding-left: 1.25rem;
}

.faq__info ol {
  list-style: decimal;
  padding-left: 1.25rem;
}

.faq__info span,
.faq__info a {
  color: var(--bg-orange);
  font-weight: var(--fw-semibold);
}

.faq__info.active {
  display: block;
  margin-top: var(--margin-small);
  max-height: 6000px;
  opacity: 1;
}

.faq__arrow {
  width: 20px;
  transform: rotate(0deg);
  transition: transform 0.3s ease-out;
}

.faq__arrow.active {
  transform: rotate(180deg);
}

.footer {
  background: var(--bg-header);
  padding-block: 2.5rem;
  margin-top: var(--margin-standard);
  width: 100%;
}

.footer__container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.footer__logo-sec {
  display: flex;
  align-items: center;
  max-width: 415px;
  gap: 1.25rem;
}

.footer__logo-text {
  font-size: 15px;
  font-weight: var(--fw-semibold);
}

.footer__authors {
  max-width: 420px;
}

.footer__authors span,
.footer__teacher span {
  font-weight: var(--fw-bold);
  color: var(--bg-orange);
}

/* FIRST DAYS */

.breadcrumbs {
  margin-top: 50px;
}

.breadcrumbs li a {
  color: var(--bg-orange);
  font-weight: var(--fw-medium);
}

.breadcrumbs__list {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-bottom: var(--margin-normal);
  gap: 5px;
}

.breadcrumbs li:not(:last-child)::after {
  content: "";
  display: inline-block;
  width: 4px;
  height: 4px;
  background: var(--bg-orange);
  vertical-align: middle;
  margin: 0 5px;
  border-radius: 50%;
}

.intro__container {
  animation: fadeInUp 0.4s ease-out forwards;
}

.intro__desc {
  font-size: var(--fz-subtitle);
  max-width: 1200px;
  margin-block: var(--margin-small);
}

.intro__desc p,
.intro__desc ul {
  font-size: inherit;
}

.intro__elem {
  font-size: inherit;
  list-style: inside;
}

/* =========== */

/* SCHEDULE */

.orange__btn {
  background: var(--bg-orange-schedule);
}

.orange__border {
  border: 2px solid var(--bg-orange-schedule);
}

.info__elem {
  padding-block: 2.5rem;
  border-bottom: 2px solid var(--bg-gray);
}

.info__title {
  margin-bottom: var(--margin-normal);
}

.info__desc {
  margin: 0 auto;
  margin-top: var(--margin-small);
  max-width: 800px;
  text-align: center;
  font-weight: var(--fw-semibold);
}

.info__desc-orange {
  color: var(--bg-orange);
}

.info__item {
  margin-bottom: var(--margin-small);
  list-style: inside;
}

.info__img {
  display: flex;
  margin: 0 auto;
  width: 100%;
  max-width: 900px;
}

.info__desc-important {
  margin: 0;
  text-align: start;
  color: var(--bg-orange);
}

.info__teacher a {
  color: var(--bg-orange);
  font-weight: var(--fw-semibold);
}

.schedule__btns {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 15px;
}

.schedule__btn {
  font-size: var(--fz-subtitle);
  padding: var(--padding-schedule);
  color: var(--text-black);
  text-align: center;
  max-width: 400px;
  width: 100%;
  border-radius: 15px;
  box-shadow: 0 5px 5px rgba(48, 48, 48, 0.4);
  transform: scale(1);
  transition: transform 0.3s ease-out;
}

[data-anim].show.schedule__btn:hover {
  transform: scale(1.05);
}

.schedule__time-img {
  display: flex;
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
}

.schedule__time {
  margin-bottom: var(--margin-small);
}

.schedule__time span,
.schedule__important {
  color: var(--bg-orange);
}

.schedule__flex {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
  width: 100%;
}

.schedule__flex img {
  max-width: 100%;
  height: auto;
  min-width: 0;
}

/* INSTITUTE */

.institute__elem {
  display: flex;
  flex-wrap: wrap;
  margin-top: var(--margin-small);
  gap: 2rem;
}

.institute__info {
  max-width: 800px;
}

.institute__job,
.institute__name {
  font-size: var(--fz-subtitle);
}

.institute__name {
  font-weight: var(--fw-semibold);
}

.institute__job {
  margin-bottom: var(--margin-normal);
}

.institute__elem img {
  border-radius: 15px;
  max-width: 300px;
  width: 100%;
}

/* RULES */

.info__rules {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

.info__rule {
  width: 100%;
  max-width: 300px;
  text-align: center;
}

.info__rule-title {
  font-weight: var(--fw-semibold);
}

.info__steps {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.info__step {
  max-width: 300px;
}

.info__step-text {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.info__desc span {
  color: red;
}

.info__desc-margin {
  margin-bottom: var(--margin-standard);
}

.info__faq {
  position: relative;
  font-size: var(--fz-h3);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  padding: var(--padding-mini-card);
  max-width: 1200px;
  border-radius: 15px;
  background: #eee;
  text-align: center;
}

.info__faq p {
  margin-right: 30px;
}

.info__faq span {
  color: red;
  font-weight: var(--fw-semibold);
}

.info__faq svg {
  position: absolute;
  right: 30px;
}

.info__flex {
  display: flex;
  flex-wrap: wrap;
}

.info__flex img {
  border-radius: 15px;
  max-width: 300px;
  margin-right: var(--margin-normal);
  width: 100%;
}

.info__reset {
  margin: 0;
}

.info__name {
  font-size: var(--fz-h2);
  margin-bottom: var(--margin-normal);
}

.mobile1 {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.mobile1 img,
.mobile2 img {
  width: 100%;
  max-width: 400px;
}

.mobile1-3 {
  margin-left: 1rem;
}

.mobile2 {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.letters__elem {
  border-bottom: 2px solid var(--bg-orange);
  padding-block: 0.5rem;
}

.letters__trigger {
  cursor: pointer;
}

.letters__text {
  font-size: var(--fz-h2);
  color: var(--bg-orange);
  font-weight: var(--fw-semibold);
}

.letters__text p {
  font-size: inherit;
}

.letters__info {
  max-height: 0;
  overflow: hidden;
  margin-top: 0;
  opacity: 0;
  transition:
    max-height 0.3s ease-out,
    margin-top 0.3s ease-out,
    opacity 0.3s ease-out;
}

.letters__info span {
  font-weight: var(--fw-semibold);
}

.letters__info li {
  margin-bottom: 0.5rem;
}

.letters__info.active {
  display: block;
  margin-top: var(--margin-small);
  max-height: 3000px;
  opacity: 1;
}

.orange__text {
  color: #fc4c00;
  font-weight: 600;
}

/* ===== ANIM ===== */

[data-anim] {
  transition:
    opacity 0.4s ease-out,
    transform 0.4s ease-out;
  will-change: transform, opacity;
}

[data-anim].show {
  opacity: 1;
  transform: none;
}

.fade__in {
  opacity: 0;
}

.fade__in-left {
  opacity: 0;
  transform: translateX(-40px);
}
.fade__in-right {
  opacity: 0;
  transform: translateX(40px);
}

.fade__in-scale {
  opacity: 0;
  transform: scale(0.9);
}

.fade__in-up {
  opacity: 0;
  transform: translateY(20px);
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(-20px);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

@keyframes fadeInScale {
  from {
    opacity: 0;
    transform: scale(0.9);
  }
  to {
    opacity: 1;
    transform: none;
  }
}

/* ================ */

@media (max-width: 1024px) {
  .hero__mascot {
    display: none;
  }

  .learn__list {
    justify-content: center;
  }

  .start__list {
    justify-content: center;
  }

  .schedule__btns {
    justify-content: center;
  }
}

@media (max-width: 768px) {
  .hero__container::after,
  .hero__container::before {
    display: none;
  }

  .header__link:hover {
    opacity: 1;
  }

  .header__link:hover::after {
    width: 0;
  }

  [data-anim].show.start__card:hover {
    transform: scale(1);
  }

  .learn__element:hover .learn__img {
    transform: scale(1);
  }

  [data-anim].show.schedule__btn:hover {
    transform: scale(1);
  }

  .hero__title {
    font-size: 2rem;
  }

  .hero__info {
    padding: 1rem;
    border-radius: 12px;
  }

  .header__list {
    display: flex;
    visibility: hidden;
    position: absolute;
    align-items: center;
    flex-direction: column;
    background: transparent;
    opacity: 0;
    padding: 1rem;
    width: 100%;
    top: 100%;
    left: 0;
    gap: 1rem;
    transform: translateY(-15px);
    transition:
      visibility 0.3s ease-out,
      opacity 0.3s ease-out,
      background 0.3s ease-out,
      transform 0.3s ease-out;
  }

  .header__list.active {
    visibility: visible;
    opacity: 1;
    background: var(--bg-header);
    transform: translateY(0);
  }

  .header__burger {
    display: flex;
    width: 30px;
    height: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: none;
    border: none;
    cursor: pointer;
  }

  .header__burger span {
    width: 100%;
    height: 3px;
    background: black;
    border-radius: 15px;
    transition:
      transform 0.3s ease-out,
      width 0.3s ease-out;
  }

  .header__burger.active span:nth-child(1) {
    transform: translateY(8.5px) rotate(45deg);
  }

  .header__burger.active span:nth-child(2) {
    width: 0;
    margin: 0 auto;
  }

  .header__burger.active span:nth-child(3) {
    transform: translateY(-8.5px) rotate(-45deg);
  }

  .institute__info {
    max-width: 400px;
  }
}

@media (max-width: 425px) {
  .header__logo-text {
    display: none;
  }

  .intro__title {
    font-size: 2rem;
  }

  .hero__subtitle {
    font-size: 1.3rem;
  }

  .start__list {
    justify-content: center;
  }

  .institute__name {
    margin-bottom: 10px;
    padding: 0;
  }

  .institute__info {
    margin-bottom: var(--margin-normal);
  }

  .institute-img img {
    margin: 0;
  }

  .footer__logo,
  .footer__authors {
    margin-bottom: var(--margin-small);
  }

  .footer__logo-text {
    display: none;
  }

  .info__faq {
    font-size: 1rem;
  }
}

@media (max-width: 320px) {
  .learn__text {
    font-size: 1rem;
  }
}
